﻿
package {
	import flash.geom.Point;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.events.MouseEvent;
	import flash.text.TextFormatAlign;


	public class textAnzeige extends Sprite {
		protected var _Text:String="Hallo Welt";
		protected var _Size:Number;
		protected var _Font:String;
		protected var _Farbe:uint;
		protected var format:TextFormat;
		private var textfeld:TextField;
		private var textCont:Sprite;



		public function textAnzeige(schriftart:String) {
			_Size=50;
			_Font=schriftart;
			_Farbe=0x000000;
			format= new TextFormat();
			format.size = _Size;
			format.font = _Font;
			format.color = _Farbe;
			textfeld = new TextField();
			basicFormat();
			textCont= new Sprite();
			addChild(textCont);
			textCont.addChild(textfeld);
			this.addEventListener(MouseEvent.MOUSE_DOWN, startschieben);
			this.addEventListener(MouseEvent.MOUSE_UP, stopschieben);
		}

		protected function basicFormat():void {
			textfeld.embedFonts = true;
			textfeld.autoSize = TextFieldAutoSize.CENTER;
			textfeld.antiAliasType = AntiAliasType.ADVANCED;
			textfeld.defaultTextFormat = format;
			textfeld.selectable = false;
			textfeld.mouseEnabled = true;
			textfeld.text=_Text;
			textfeld.x=textfeld.textWidth/-2;
			textfeld.y=textfeld.textHeight/-2;
		}


		public function set size(groesse:uint) {
			_Size=groesse;
			format.size=groesse;
			basicFormat();
		}
		public function set font(schriftart:String) {
			_Font=schriftart;
			format.font = _Font;
			basicFormat();
		}
		public function set color(farbe:uint) {
			_Farbe=farbe;
			format.color = _Farbe;
			basicFormat();
		}
		public function set beschriftung(texteingabe:String) {
			_Text=texteingabe;
			textfeld.text=_Text;
			basicFormat();
		}
		
		
		private function startschieben(evt:MouseEvent):void {
			this.startDrag();
		}
		
		
		private function stopschieben(evt:MouseEvent):void {
			this.stopDrag();
		}
		
	}
}