﻿package {
	import flash.display.MovieClip;

	import flash.utils.*;
	import flash.events.*;
	import flash.geom.Point;

	public class SmileySimple extends MovieClip {

		protected var delay:uint=1000;
		protected var myTimer:Timer=new Timer(delay,0);
		protected var distance:uint=30;
		protected var reset:Boolean=false;



		//------------------------------------
		public function SmileySimple() {
			if (stage) {
				init();
			} else {
				addEventListener(Event.ADDED_TO_STAGE,init);
			}
		}

		//-------------------------------------------

		private function init(e:Event=null):void {

			myTimer.addEventListener(TimerEvent.TIMER, TimerUpdate);
			myTimer.start();

		}
		//------------------------------------------------

		protected function TimerUpdate(event:TimerEvent):void {

			// eine andere Position kann nur gesetzt werden, bevor die neuen PositionsArrays erstellt werden
			if (reset) {
				this.x=200;
				this.y=200;
				reset=false;
			}


			var p:Point=getNextPosition();
			trace("xPos: "+this.x+" xZiel: "+p.x);
			this.x=p.x;
			this.y=p.y;


		}

		//----------------------------------------------

		protected function getNextPosition():Point {


			var dirX:int;
			dirX=Math.floor(Math.random()*3)-1;//-1, 0, 1
			var dirY:int;
			dirY=Math.floor(Math.random()*3)-1;

			// wenn beide Werte 0 sind, ergäbe sich keine neue Position
			if (dirX==0&&dirY==0) {
				getNextPosition();
			}

			var xZiel:Number=this.x+distance*dirX;
			var yZiel:Number=this.y+distance*dirY;

			var zielPoint:Point=new Point(xZiel,yZiel);
			return zielPoint;

		}
		//-----------------------------------------------

		public function resetPosition():void {
			reset=true;
			trace("reset ist true");
		}


	}
}