﻿package {
	import flash.display.MovieClip;
	import flash.display.DisplayObject;
	import flash.events.*;
	import flash.text.Font;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.text.TextFormatAlign;



	public class TextfeldMessage extends MovieClip {

		//-----------------------------------------------------------
		// TextfeldMessage-Ereigniss
		//
		public static const LISTITEM_CLICK:String="TextfeldMessageEvent_LISTITEM_CLICK";

		//------------------------------------------------------------------------
		//Variablen

		//Der ausgewählte TextString
		protected var selectedTextfieldText:String;

		//--------------------------------------------------------------------------



		//Konstruktor

		public function TextfeldMessage() {
			//Textfeld mit Text wird ereugt und der Displayliste dieses Objekts hinzugefügt
			var lblText:TextField = new TextField();
			lblText.text="die Message";
			lblText.mouseEnabled=true;
			lblText.width=225;
			lblText.height=26;
			lblText.selectable=false;
			lblText.addEventListener(MouseEvent.CLICK, ListItemClick);
			addChild(lblText);
		}
		//Konstruktor Ende


		//-----------------------------------------------------------

		//getter Funktion ausgewählten Textstring zurückgeben
		public function get TextString():String {
			return selectedTextfieldText;
		}

		// Klick auf das Listen-Ereignis
		public function ListItemClick(evt:MouseEvent):void {
			selectedTextfieldText=evt.currentTarget.text;
			dispatchEvent(new Event(LISTITEM_CLICK));
		}

	}
}