﻿package {
	import flash.display.MovieClip;
	import flash.events.KeyboardEvent;
	import flash.events.Event;
	import flash.ui.Keyboard;

	public class TDynaMove extends MovieClip {
		public var thrust:Number = 1;
		public var decay:Number = .98;
		public var speed:Number = 0;
		public var xSpeed:Number = 0;
		public var ySpeed:Number = 0;
		public var maxSpeed:Number = 5;
		public var xThrustPercent:Number = 0;
		public var yThrustPercent:Number = 0;
		public var upkeydown:Boolean = false;
		public var leftkeydown:Boolean = false;
		public var rightkeydown:Boolean = false;


		public function TDynaMove() {
			this.stage.addEventListener(KeyboardEvent.KEY_UP,tasteUp);
			this.stage.addEventListener(KeyboardEvent.KEY_DOWN, tasteDown);
			addEventListener(Event.ENTER_FRAME,bewegung);
		}

		public function tasteDown(event:KeyboardEvent):void {

			switch ( event.keyCode ) {
				case Keyboard.UP :
					upkeydown = true;
					break;

				case Keyboard.LEFT :
					leftkeydown = true;
					break;

				case Keyboard.RIGHT :
					rightkeydown = true;
					break;
			}

		}
		protected function tasteUp(event:KeyboardEvent):void {
			switch ( event.keyCode ) {
				case Keyboard.UP :
					upkeydown = false;
					break;

				case Keyboard.LEFT :
					leftkeydown = false;
					break;

				case Keyboard.RIGHT :
					rightkeydown = false;
					break;
			}
		}
		public function bewegung(evt:Event):void {

			if ( upkeydown ) {
				xSpeed += thrust*xThrustPercent;
				ySpeed += thrust*yThrustPercent;

			} else {
				xSpeed *= decay;
				ySpeed *= decay;
			}
			if ( rightkeydown ) {
				rotation += 10;		
			}
			if ( leftkeydown ) {
				rotation -= 10;				
			}
			//wieviel Schub wird gebraucht, basierend auf der Drehung oder Richtung
			xThrustPercent = Math.sin(rotation*(Math.PI/180));
			yThrustPercent = Math.cos(rotation*(Math.PI/180));

			//  Geschwindigkeits Grenze aufrechterhalten
			speed = Math.sqrt((xSpeed*xSpeed)+(ySpeed*ySpeed));
			if ( speed > maxSpeed ) {
				xSpeed *= maxSpeed/speed;
				ySpeed *= maxSpeed/speed;
			}
			y -= ySpeed;
			x += xSpeed;
			//wenn es aus der Bühne fliegt, kommt es an der anderen Seite wieder an
			if(this.y>420){
				this.y=-10;
				}else if(this.y<-20){
					this.y=410;
					}else if(this.x>570){
						this.x=-10;
						}else if(this.x<-20){
							this.x=550;
							}
			
		}
	}
}