﻿
package {
	import flash.geom.Point;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.events.MouseEvent;
	import flash.text.TextFormatAlign;
	import flash.filters.GlowFilter;


	public class TextFeld extends Sprite {
		protected var _textString:String="Beschriftung";
		protected var format:TextFormat;
		protected var _Text:TextField;
		private var myfilters:Array;
		public var _randFarbe:Object=0xFF3399;

		public function TextFeld(schriftart:String,xpos:int,ypos:int) {
			format= new TextFormat();
			format.size = 2;
			format.font = schriftart;
			format.color = 0x000000;
			_Text = new TextField();
			refreshText();
			addChild(_Text);
			this.x=xpos;
			this.y=ypos;
		}

		protected function refreshText():void {
			_Text.embedFonts = true;
			_Text.autoSize = TextFieldAutoSize.CENTER;
			_Text.antiAliasType = AntiAliasType.ADVANCED;
			_Text.defaultTextFormat = format;
			_Text.selectable = true;
			_Text.mouseEnabled = true;
			_Text.text=_textString;
			_Text.x=_Text.textWidth/-2;
			_Text.y=_Text.textHeight/-2;
			myfilters = [];
			var glow:GlowFilter = new GlowFilter();
			glow.color = uint(_randFarbe);
			glow.blurX = int(format.size)/40;
			glow.blurY = int(format.size)/40;
			glow.strength = 15;
			glow.quality = 3;
			myfilters.push(glow);
			_Text.filters=myfilters;
		}

		public function set size(groesse:Object) {
			format.size=groesse;
			refreshText();
		}
		public function set font(schriftart:String) {
			format.font = schriftart;
			refreshText();
		}
		public function set color(farbe:Object) {
			format.color =farbe;
			refreshText();
		}
		public function set colorRand(farbe:Object) {
			_randFarbe =farbe;
			refreshText();
		}
		public function set beschriftung(_textString:String) {
			this._textString=_textString;
			_Text.text=_textString;
			refreshText();
			
		}

		public function get font():String {
			return format.font;
		}
		public function get size():Object {
			return format.size;
		}
		public function get color():Object {
			return format.color;
		}
		public function get colorRand():Object {
			return _randFarbe;
		}
		public function get beschriftung():String {
			return _Text.text;
		}
		public function get xPos():int {
			return this.x;
		}
		public function get yPos():int {
			return this.y;
		}
		public function get drehung():Number {
			return this.rotation;
		}
	}
}