﻿
package {
	import flash.geom.Point;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.events.MouseEvent;
	import flash.text.TextFormatAlign;


	public class TextFeld extends Sprite {
		protected var _textString:String="Beschriftung";
		protected var _Position:Point;
		protected var _Rotation:Number;// radiant
		protected var _Size:Number;
		protected var _Font:String;
		protected var _Farbe:uint;
		protected var format:TextFormat;
		protected var _Text:TextField;
		protected var textCont:Sprite;



		public function TextFeld(schriftart:String,xpos:int,ypos:int) {
			_Size=50;
			_Font=schriftart;
			_Position = new Point(xpos, ypos);
			_Farbe=0x000000;
			format= new TextFormat();
			format.size = _Size;
			format.font = _Font;
			format.color = _Farbe;
			_Text = new TextField();
			basicFormat();
			textCont= new Sprite();
			addChild(_Text);
			this.x=_Position.x;
			this.y=_Position.y;
		}

		protected function basicFormat():void {
			_Text.embedFonts = true;
			_Text.autoSize = TextFieldAutoSize.CENTER;
			_Text.antiAliasType = AntiAliasType.ADVANCED;
			_Text.defaultTextFormat = format;
			_Text.selectable = false;
			_Text.mouseEnabled = true;
			_Text.text=_textString;
			_Text.x=_Text.textWidth/-2;
			_Text.y=_Text.textHeight/-2;
		}
		
		private function xyPosErmitteln(evt:MouseEvent):void {
			this.startDrag();
		}
		
		
		
		
		public function set size(groesse:uint) {
			_Size=groesse;
			format.size=groesse;
			basicFormat();
		}
		public function set font(schriftart:String) {
			_Font=schriftart;
			format.font = _Font;
			basicFormat();
		}
		public function set color(farbe:uint) {
			_Farbe=farbe;
			format.color = _Farbe;
			basicFormat();
		}
		public function set beschriftung(textString:String) {
			_textString=textString;
			_Text.text=textString;
			basicFormat();
		}

		public function get font():String {
			return _Font;
		}
		public function get size():uint {
			return _Size;
		}
		public function get color():uint {
			return _Farbe;
		}
		public function get beschriftung():String {
			return _Text.text;
		}
		public function get position():Point {
			return _Position;
		}
	}
}