﻿
package {
	import flash.geom.Point;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.events.Event;
	import flash.text.TextFormatAlign;
	import flash.filters.GlowFilter;


	public class Tlabel2 extends Sprite {
		protected var _textString:String="Beschriftung";
		protected var format:TextFormat;
		protected var _Text:TextField;
		public var rand:Boolean=true;
		protected var myfilters:Array;
		protected var _randFarbe:Object=0xFF3399;
		protected var glow:GlowFilter = new GlowFilter();


		public function Tlabel2(schriftart:String,xpos:int,ypos:int) {
			format= new TextFormat();
			format.size = 11;
			format.font = schriftart;
			format.color = 0x000000;
			_Text = new TextField();
			this.scaleX=this.scaleY=10;
			refreshText();
			addChild(_Text);
			this.x=xpos;
			this.y=ypos;
			this.addEventListener(Event.ENTER_FRAME, getSize);
		}


		protected function getSize(evt:Event):void {
			randFilter();
		}
		//nach Veränderung einer Format Eigenschaft müssen die TextField Eigenschaften 
		//unter refreshText erneut aufgerufen werden siehe Setter Funktionen
		
				protected function refreshText():void {
			_Text.embedFonts = true;
			_Text.autoSize = TextFieldAutoSize.LEFT;
			_Text.antiAliasType = AntiAliasType.ADVANCED;
			_Text.defaultTextFormat = format;
			_Text.selectable = false;
			_Text.mouseEnabled = true;
			_Text.text=_textString;
			_Text.x=_Text.textWidth/-2;
			_Text.y=_Text.textHeight/-2;
		}
		
		//die Filterfunktionen für den Rand müssen auch ständig erneuert werden,
		// da Randgöße glow.blurX ... auf die scaleX scaleY
		//angepasst werden muss. Daher die Funktion getSize, die mit ENTER_FRAME aufgerufen wird
		//ohne diese Randgrößenaktualisierung wäre getSize nicht erforderlich und man könnte
		//refreshText jeweils in die setter Funktionen einbinden


		
		public function randFilter() {
			if (this.rand) {
				myfilters = [];
				glow.blurX =this.scaleX/4;
				glow.blurY = this.scaleY/4;
				glow.color = uint(_randFarbe);
				glow.strength = 15;
				glow.quality = 3;
				myfilters.push(glow);
				_Text.filters=myfilters;
			} else {
				_Text.filters = null;
			}
		}
		

		public function set font(schriftart:String) {
			format.font = schriftart;
			refreshText();
		}
		public function set color(farbe:Object) {
			format.color =farbe;
			refreshText();
		}
		public function set colorRand(farbe:Object) {
			_randFarbe =farbe;
		}
		public function set beschriftung(_textString:String) {
			this._textString=_textString;
			_Text.text=_textString;
			refreshText();
		}
		public function get font():String {
			return format.font;
		}
		public function get color():Object {
			return format.color;
		}
		public function get colorRand():Object {
			return _randFarbe;
		}
		public function get beschriftung():String {
			return _Text.text;
		}

	}
}